﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace BlazorWASM
{
    public class APICountry
    {
        public string Country;
        public string Slug;
        public string ISO2;
    }
    public class ParallelCountryInformation
    {
        public string Name { get; set; }
        public string Population { get; set; }
        public int ConfirmedCases { get; set; }
        public int RecoveredCases { get; set; }
        public int DeathCases { get; set; }

        public List<CovidTimeStep> ConfirmedTimeSteps { get; set; }
        public List<CovidTimeStep> DeathTimeSteps { get; set; }
        public List<CovidTimeStep> DeathPer100kTimeSteps { get; set; }

    }

    public class CovidTimeStep
    {
        public string Country { get; set; }
        public string CountryCode { get; set; }
        public string Province { get; set; }
        public string City { get; set; }
        public string CityCode { get; set; }
        public double Lat { get; set; }
        public double Lon { get; set; }
        public int Cases { get; set; }
        public string Status { get; set; }
        public DateTime Date { get; set; }
        public string NameParameter { get; set; }
    }

    public class ComboCountry
    {
        public string name;
        public string code;
    }

    public class RestCountry
    {
        public string Country;
        public string CountryCode;
        public string Province;
        public string City;
        public string CityCode;
        public string Lat;
        public string Lon;
        public string Cases;
        public string Status;
        public string Date;
    }

    public class StateResponse
    {
        public string date;
        public string state;
        public string positive;
        public string negative;
        public string pending;
        public string hospitalizedCurrently;
        public string hospitalizedCumulative;
        public string inIcuCurrently;
        public string inIcuCumulative;
        public string onVentilatorCurrently;
        public string onVentilatorCumulative;
        public string recovered;
        public string dataQualityGrade;
        public string lastUpdateEt;
        public string hash;
        public string dateChecked;
        public string death;
        public string hospitalized;
        public string total;
        public string totalTestResults;
        public string posNeg;
        public string fips;
        public string deathIncrease;
        public string hospitalizedIncrease;
        public string negativeIncrease;
        public string positiveIncrease;
        public string totalTestResultIncrease;
    }
}
